4.0.5 Kar file installation triggers karaf reboot

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

4.0.5 Kar file installation triggers karaf reboot

Dmytro Pishchukhin
Hello All, 

I'm trying to install a kar file with feature.xml and bundles inside with kar:install command. From logs I can see that karaf was trying to install the first feature from the list and bundles that belong to this feature. After that karaf logged that new bundles has to be stopped and karaf rebooted. 
Exception I found: 
java.lang.InterruptedException 
        at java.util.concurrent.FutureTask.awaitDone(FutureTask.java:404)[:1.8.0_92] 
        at java.util.concurrent.FutureTask.get(FutureTask.java:191)[:1.8.0_92] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvisionInThread(FeaturesServiceImpl.java:1051)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:927)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:820)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:805)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:795)[9:org.apache.karaf.features.core:4.0.5] 


For the next features karad produced other exception: 
org.osgi.framework.BundleException: The framework has been shutdown. 
        at org.apache.felix.framework.Felix.installBundle(Felix.java:2957)[org.apache.felix.framework-5.4.0.jar:] 
        at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:167)[org.apache.felix.framework-5.4.0.jar:] 
        at org.eclipse.equinox.internal.region.BundleIdBasedRegion.installBundle0(BundleIdBasedRegion.java:117)[9:org.apache.karaf.features.core:4.0.5] 
        at org.eclipse.equinox.internal.region.BundleIdBasedRegion.installBundleAtLocation(BundleIdBasedRegion.java:97)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.FeaturesServiceImpl.installBundle(FeaturesServiceImpl.java:1237)[9:org.apache.karaf.features.core:4.0.5] 
        at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:724)[9:org.apache.karaf.features.core:4.0.5] 

How can I resolve this issue? Thanks. 

--
Best regards,
Dmytro Pishchukhin